Github messages for voidlinux
 help / color / mirror / Atom feed
* [PR PATCH] synapse: update to 1.47.0, adopt.
@ 2021-11-17 21:21 TinfoilSubmarine
  2021-11-17 21:34 ` [PR REVIEW] " paper42
                   ` (22 more replies)
  0 siblings, 23 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-17 21:21 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1319 bytes --]

There is a new pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 10762 bytes --]

From 0c7aa0c6e01a94893f5a6d80507e099f7e2c77e8 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/7] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From aa0695b4ee4aa67447c2ab5b501926327ece934f Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/7] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 57b684374c604ff0d7d65294af632e05cf5eaf80 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/7] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From 2c29ab3181d626140eefcf1b1270ad22cf53dbe7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/7] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From 762ea17db3e1dbeba86815d47767445f7e7d0194 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/7] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 0f197a7b10e8146aff737f7844cf72a13d833e07 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/7] python3-signedjson: update to 1.1.1, adopt.

---
 srcpkgs/python3-signedjson/template | 21 +++++++++++++--------
 1 file changed, 13 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..f019ea58df52 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,20 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
+hostmakedepends="python3-setuptools_scm"
 depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+ python3-pynacl python3-typing_extensions"
+checkdepends="${depends} python3-importlib_metadata python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009
+
+post_patch() {
+	vsed -i 's/importlib_metadata/importlib.metadata/' signedjson/__init__.py
+}

From 7396a3ba13a8dff56dcd346629f4a525c0dbe02b Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 7/7] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..41935c76e913 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -13,12 +13,12 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
@ 2021-11-17 21:34 ` paper42
  2021-11-17 21:34 ` paper42
                   ` (21 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: paper42 @ 2021-11-17 21:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 220 bytes --]

New review comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r751652212

Comment:
```suggestion
depends="python3-canonicaljson python3-unpaddedbase64
```

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
  2021-11-17 21:34 ` [PR REVIEW] " paper42
@ 2021-11-17 21:34 ` paper42
  2021-11-17 22:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (20 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: paper42 @ 2021-11-17 21:34 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 474 bytes --]

New review comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r751650610

Comment:
Why is this only in checkdepends when it's imported in __init__.py? Anyway, since you are patching importlib_metadata, we shouldn't need to this dependency. I think we should import this patch instead of running sed in post_patch: https://github.com/matrix-org/python-signedjson/commit/c40c83f844fee3c1c7b0c5d1508f87052334b4e5 

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
  2021-11-17 21:34 ` [PR REVIEW] " paper42
  2021-11-17 21:34 ` paper42
@ 2021-11-17 22:56 ` TinfoilSubmarine
  2021-11-17 22:56 ` [PR REVIEW] " TinfoilSubmarine
                   ` (19 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-17 22:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 12491 bytes --]

From 0c7aa0c6e01a94893f5a6d80507e099f7e2c77e8 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/7] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From aa0695b4ee4aa67447c2ab5b501926327ece934f Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/7] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 57b684374c604ff0d7d65294af632e05cf5eaf80 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/7] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From 2c29ab3181d626140eefcf1b1270ad22cf53dbe7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/7] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From 762ea17db3e1dbeba86815d47767445f7e7d0194 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/7] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 841631e92a9edc05f5efbb03f6c58d3feeca41e3 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/7] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From 5cfd7afefd40cc0bcda35690f2bea59da12ccb6e Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 7/7] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 6 +++---
 1 file changed, 3 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..41935c76e913 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -13,12 +13,12 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (2 preceding siblings ...)
  2021-11-17 22:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-17 22:56 ` TinfoilSubmarine
  2021-11-17 22:57 ` TinfoilSubmarine
                   ` (18 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-17 22:56 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 175 bytes --]

New review comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r751709033

Comment:
Good catch, thanks.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (3 preceding siblings ...)
  2021-11-17 22:56 ` [PR REVIEW] " TinfoilSubmarine
@ 2021-11-17 22:57 ` TinfoilSubmarine
  2021-11-19 14:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (17 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-17 22:57 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 277 bytes --]

New review comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r751709376

Comment:
Incorporated, thanks. That was the first time I've seen versions explicitly included so I wasn't sure what to make of it.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (4 preceding siblings ...)
  2021-11-17 22:57 ` TinfoilSubmarine
@ 2021-11-19 14:38 ` TinfoilSubmarine
  2021-11-19 14:43 ` TinfoilSubmarine
                   ` (16 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-19 14:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 12840 bytes --]

From 887adc128a5bab896df79bfa8307f6455d1a42bf Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/7] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 2daab3e5e02cc7ebf0ec60b3f1b7c5c0a7be7fb7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/7] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 23ff2f0bb86084f22b963862118fb8f97a0ac467 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/7] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From c001978bea0e96304f745a8bb90df03a2ee557ea Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/7] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From d55b2daf482ce4bf974c071d4696cb054256e1c2 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/7] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 2390e39fef7533781f0a8f112a21f8f72f69e4c0 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/7] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From 69b7b6c977c58d2579bb5f1f321ee789efa1068c Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 7/7] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..4699d3f3b4d7 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,15 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
+make_check=extended
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +29,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (5 preceding siblings ...)
  2021-11-19 14:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-19 14:43 ` TinfoilSubmarine
  2021-11-21 18:12 ` [PR REVIEW] " ericonr
                   ` (15 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-19 14:43 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 229 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#issuecomment-974130906

Comment:
I added the tests for synapse using Twisted and marked as `make_check=extended`

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (6 preceding siblings ...)
  2021-11-19 14:43 ` TinfoilSubmarine
@ 2021-11-21 18:12 ` ericonr
  2021-11-21 18:12 ` ericonr
                   ` (14 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-11-21 18:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 214 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r753835448

Comment:
How long are they taking on CI? Please add a comment justifying it.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (7 preceding siblings ...)
  2021-11-21 18:12 ` [PR REVIEW] " ericonr
@ 2021-11-21 18:12 ` ericonr
  2021-11-21 20:12 ` TinfoilSubmarine
                   ` (13 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-11-21 18:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 218 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r753835420

Comment:
```suggestion
	PYTHONPATH="." trial3 tests
```

To make it obvious.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (8 preceding siblings ...)
  2021-11-21 18:12 ` ericonr
@ 2021-11-21 20:12 ` TinfoilSubmarine
  2021-11-21 21:40 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (12 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-21 20:12 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 424 bytes --]

New review comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r753848489

Comment:
real  17m13.758s
user  17m5.609s
sys 0m9.753s

So, not really that long. IIRC the `beets` tests take a similar amount of time. I can remove it and have the tests run, I just didn't see any hard and fast guidance about how long tests should be before it's too long.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (9 preceding siblings ...)
  2021-11-21 20:12 ` TinfoilSubmarine
@ 2021-11-21 21:40 ` TinfoilSubmarine
  2021-11-21 22:11 ` paper42
                   ` (11 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-21 21:40 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 12840 bytes --]

From 887adc128a5bab896df79bfa8307f6455d1a42bf Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/7] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 2daab3e5e02cc7ebf0ec60b3f1b7c5c0a7be7fb7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/7] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 23ff2f0bb86084f22b963862118fb8f97a0ac467 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/7] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From c001978bea0e96304f745a8bb90df03a2ee557ea Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/7] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From d55b2daf482ce4bf974c071d4696cb054256e1c2 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/7] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 2390e39fef7533781f0a8f112a21f8f72f69e4c0 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/7] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From 69b7b6c977c58d2579bb5f1f321ee789efa1068c Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 7/7] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 12 +++++++++---
 1 file changed, 9 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..4699d3f3b4d7 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,15 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
+make_check=extended
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +29,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (10 preceding siblings ...)
  2021-11-21 21:40 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-21 22:11 ` paper42
  2021-11-21 22:11 ` paper42
                   ` (10 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: paper42 @ 2021-11-21 22:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 187 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#issuecomment-974905928

Comment:
you accidentally added synapse.log to this PR?

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (11 preceding siblings ...)
  2021-11-21 22:11 ` paper42
@ 2021-11-21 22:11 ` paper42
  2021-11-21 23:27 ` [PR REVIEW] " ericonr
                   ` (9 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: paper42 @ 2021-11-21 22:11 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 186 bytes --]

New comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#issuecomment-974905928

Comment:
you accidentally added synapse.log to this PR

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (12 preceding siblings ...)
  2021-11-21 22:11 ` paper42
@ 2021-11-21 23:27 ` ericonr
  2021-11-22  0:59 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (8 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: ericonr @ 2021-11-21 23:27 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 203 bytes --]

New review comment by ericonr on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r753871251

Comment:
17 minutes is short enough :)

We have 6h for CI runs.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (13 preceding siblings ...)
  2021-11-21 23:27 ` [PR REVIEW] " ericonr
@ 2021-11-22  0:59 ` TinfoilSubmarine
  2021-11-22  1:00 ` TinfoilSubmarine
                   ` (7 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-22  0:59 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 12819 bytes --]

From 887adc128a5bab896df79bfa8307f6455d1a42bf Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/7] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 2daab3e5e02cc7ebf0ec60b3f1b7c5c0a7be7fb7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/7] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 23ff2f0bb86084f22b963862118fb8f97a0ac467 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/7] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From c001978bea0e96304f745a8bb90df03a2ee557ea Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/7] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From d55b2daf482ce4bf974c071d4696cb054256e1c2 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/7] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 2390e39fef7533781f0a8f112a21f8f72f69e4c0 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/7] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From e0ecce7a84bb62f9f0f1770cd0f43fba32cda7f4 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 7/7] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..360be0e7b8a6 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,14 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +28,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial3 tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (14 preceding siblings ...)
  2021-11-22  0:59 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-22  1:00 ` TinfoilSubmarine
  2021-11-22  1:01 ` [PR REVIEW] " TinfoilSubmarine
                   ` (6 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-22  1:00 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 220 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#issuecomment-974977284

Comment:
> you accidentally added synapse.log to this PR

🙈 thanks, fixed.

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (15 preceding siblings ...)
  2021-11-22  1:00 ` TinfoilSubmarine
@ 2021-11-22  1:01 ` TinfoilSubmarine
  2021-11-22  2:05 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (5 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-22  1:01 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 195 bytes --]

New review comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r753884801

Comment:
Thanks, I removed `make_check=extended`

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (16 preceding siblings ...)
  2021-11-22  1:01 ` [PR REVIEW] " TinfoilSubmarine
@ 2021-11-22  2:05 ` TinfoilSubmarine
  2021-11-22  2:13 ` TinfoilSubmarine
                   ` (4 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-22  2:05 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 14531 bytes --]

From 887adc128a5bab896df79bfa8307f6455d1a42bf Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/8] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 2daab3e5e02cc7ebf0ec60b3f1b7c5c0a7be7fb7 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/8] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From 23ff2f0bb86084f22b963862118fb8f97a0ac467 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/8] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From c001978bea0e96304f745a8bb90df03a2ee557ea Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/8] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From d55b2daf482ce4bf974c071d4696cb054256e1c2 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/8] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 2390e39fef7533781f0a8f112a21f8f72f69e4c0 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/8] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From 030935acf5dfe01a14c7ee6baade8880f34c0c57 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Sun, 21 Nov 2021 20:33:28 -0500
Subject: [PATCH 7/8] python3-frozendict: update to 2.1.0, adopt.

---
 srcpkgs/python3-frozendict/template | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-frozendict/template b/srcpkgs/python3-frozendict/template
index 6a478b3e1b5d..92a2be276aeb 100644
--- a/srcpkgs/python3-frozendict/template
+++ b/srcpkgs/python3-frozendict/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-frozendict'
 pkgname=python3-frozendict
-version=2.0.7
+version=2.1.0
 revision=1
 wrksrc="frozendict-${version}"
 build_style=python3-module
@@ -8,12 +8,18 @@ hostmakedepends="python3-setuptools"
 depends="python3"
 checkdepends="python3-pytest"
 short_desc="Immutable mapping for Python3"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="LGPL-3.0-only"
 homepage="https://github.com/Marco-Sulla/python-frozendict"
 distfiles="${PYPI_SITE}/f/frozendict/frozendict-${version}.tar.gz"
-checksum=a68f609d1af67da80b45519fdcfca2d60249c0a8c96e68279c1b6ddd92128204
+checksum=0189168749ddea8601afd648146c502533f93ae33840eb76cd71f694742623cd
 
 do_check() {
-	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 -k 'not test_empty_sub'
+	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 \
+	 --deselect=test/test_coold.py::test_repr \
+	 --deselect=test/test_coold.py::test_str \
+	 --deselect=test/test_coold.py::test_format \
+	 --deselect=test/test_frozendict_c.py::test_repr \
+	 --deselect=test/test_frozendict_c.py::test_str \
+	 --deselect=test/test_frozendict_c.py::test_format
 }

From 4e8210a2697027695ea6f2f10aa78959cf31977c Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 8/8] synapse: update to 1.47.0, adopt.

---
 srcpkgs/synapse/template | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..360be0e7b8a6 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.0
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,14 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=329e5f075fd68835f36a2aa960e6c5fd7e9f82d79797350870f581a2c47f3a42
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +28,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial3 tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (17 preceding siblings ...)
  2021-11-22  2:05 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-22  2:13 ` TinfoilSubmarine
  2021-11-23 15:58 ` [PR PATCH] [Updated] " TinfoilSubmarine
                   ` (3 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-22  2:13 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 222 bytes --]

New comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#issuecomment-975008324

Comment:
I added `python3-frozendict` as well since I just saw 2.1.0 was released

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.0, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (18 preceding siblings ...)
  2021-11-22  2:13 ` TinfoilSubmarine
@ 2021-11-23 15:58 ` TinfoilSubmarine
  2021-11-26  0:17 ` [PR REVIEW] synapse: update to 1.47.1, adopt paper42
                   ` (2 subsequent siblings)
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-23 15:58 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.0, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 14531 bytes --]

From 81c317a4e917171c5745b99f459f25b3155039fc Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/8] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 1590671c62fea9c5fa043451c4475d57f5d28d81 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/8] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From dcb3e713435d44a71efa8475155ff1ed7a5f72da Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/8] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From afb0b4a72b618c98fa52307653369bacf2225187 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/8] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From c44390b2f54e38afa1f9a6633a08609db1386446 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/8] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 059f7eae84c0caeef335c1c011ad79adf8cc70a8 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/8] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From f676a9c51850cb40e43c1ce9c03be90fc4a9d703 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Sun, 21 Nov 2021 20:33:28 -0500
Subject: [PATCH 7/8] python3-frozendict: update to 2.1.0, adopt.

---
 srcpkgs/python3-frozendict/template | 14 ++++++++++----
 1 file changed, 10 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-frozendict/template b/srcpkgs/python3-frozendict/template
index 6a478b3e1b5d..92a2be276aeb 100644
--- a/srcpkgs/python3-frozendict/template
+++ b/srcpkgs/python3-frozendict/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-frozendict'
 pkgname=python3-frozendict
-version=2.0.7
+version=2.1.0
 revision=1
 wrksrc="frozendict-${version}"
 build_style=python3-module
@@ -8,12 +8,18 @@ hostmakedepends="python3-setuptools"
 depends="python3"
 checkdepends="python3-pytest"
 short_desc="Immutable mapping for Python3"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="LGPL-3.0-only"
 homepage="https://github.com/Marco-Sulla/python-frozendict"
 distfiles="${PYPI_SITE}/f/frozendict/frozendict-${version}.tar.gz"
-checksum=a68f609d1af67da80b45519fdcfca2d60249c0a8c96e68279c1b6ddd92128204
+checksum=0189168749ddea8601afd648146c502533f93ae33840eb76cd71f694742623cd
 
 do_check() {
-	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 -k 'not test_empty_sub'
+	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 \
+	 --deselect=test/test_coold.py::test_repr \
+	 --deselect=test/test_coold.py::test_str \
+	 --deselect=test/test_coold.py::test_format \
+	 --deselect=test/test_frozendict_c.py::test_repr \
+	 --deselect=test/test_frozendict_c.py::test_str \
+	 --deselect=test/test_frozendict_c.py::test_format
 }

From 9eaba4636f39705e055d587f08ba014bb60313d0 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 8/8] synapse: update to 1.47.1, adopt.

---
 srcpkgs/synapse/template | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..20c4a4cc9970 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.1
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,14 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=cc385b6cfeba671bba800c2557ad39063bdd53f70dfb3781c85df7af6f5d064c
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +28,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial3 tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.1, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (19 preceding siblings ...)
  2021-11-23 15:58 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-26  0:17 ` paper42
  2021-11-26  0:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
  2021-11-26  0:52 ` [PR REVIEW] " TinfoilSubmarine
  22 siblings, 0 replies; 24+ messages in thread
From: paper42 @ 2021-11-26  0:17 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 214 bytes --]

New review comment by paper42 on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r757164812

Comment:
Could you add a comment here about why the tests are being skipped?

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR PATCH] [Updated] synapse: update to 1.47.1, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (20 preceding siblings ...)
  2021-11-26  0:17 ` [PR REVIEW] synapse: update to 1.47.1, adopt paper42
@ 2021-11-26  0:38 ` TinfoilSubmarine
  2021-11-26  0:52 ` [PR REVIEW] " TinfoilSubmarine
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-26  0:38 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 1324 bytes --]

There is an updated pull request by TinfoilSubmarine against master on the void-packages repository

https://github.com/TinfoilSubmarine/void-packages synapse
https://github.com/void-linux/void-packages/pull/34122

synapse: update to 1.47.1, adopt.
<!-- Uncomment relevant sections and delete options which are not applicable -->

#### Testing the changes
- I tested the changes in this PR: **YES**

<!--
#### New package
- This new package conforms to the [quality requirements](https://github.com/void-linux/void-packages/blob/master/Manual.md#quality-requirements): **YES**|**NO**
-->

<!-- Note: If the build is likely to take more than 2 hours, please [skip CI](https://github.com/void-linux/void-packages/blob/master/CONTRIBUTING.md#continuous-integration)
and test at least one native build and, if supported, at least one cross build.
Ignore this section if this PR is not skipping CI.
-->
<!-- 
#### Local build testing
- I built this PR locally for my native architecture, (ARCH-LIBC)
- I built this PR locally for these architectures (if supported. mark crossbuilds):
  - aarch64-musl
  - armv7l
  - armv6l-musl
-->

Updated all python dependencies unique to synapse to latest versions and adopted.

A patch file from https://github.com/void-linux/void-packages/pull/34122.patch is attached

[-- Warning: decoded text below may be mangled, UTF-8 assumed --]
[-- Attachment #2: github-pr-synapse-34122.patch --]
[-- Type: text/x-diff, Size: 14647 bytes --]

From 81c317a4e917171c5745b99f459f25b3155039fc Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:48:47 -0500
Subject: [PATCH 1/8] python3-canonicaljson: update to 1.5.0, adopt.

---
 srcpkgs/python3-canonicaljson/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-canonicaljson/template b/srcpkgs/python3-canonicaljson/template
index 88ffaede6ebd..7dbdf1adb9d0 100644
--- a/srcpkgs/python3-canonicaljson/template
+++ b/srcpkgs/python3-canonicaljson/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-canonicaljson'
 pkgname=python3-canonicaljson
-version=1.4.0
-revision=2
+version=1.5.0
+revision=1
 wrksrc="canonicaljson-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3-simplejson python3-frozendict"
+checkdepends="${depends} python3-pytest"
 short_desc="Canonical JSON"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-canonicaljson"
 distfiles="${PYPI_SITE}/c/canonicaljson/canonicaljson-${version}.tar.gz"
-checksum=899b7604f5a6a8a92109115d9250142cdf0b1dfdcb62cdb21d8fb5bf37780631
+checksum=5ebddcd74c5b066ee68ecca56465338e9b1380467e0a906f4797697c9fb381e2

From 1590671c62fea9c5fa043451c4475d57f5d28d81 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:15:30 -0500
Subject: [PATCH 2/8] python3-unpaddedbase64: update to 2.1.0, adopt.

---
 srcpkgs/python3-unpaddedbase64/template | 16 ++++++++--------
 1 file changed, 8 insertions(+), 8 deletions(-)

diff --git a/srcpkgs/python3-unpaddedbase64/template b/srcpkgs/python3-unpaddedbase64/template
index dab9eac87fe6..e751848ad4b2 100644
--- a/srcpkgs/python3-unpaddedbase64/template
+++ b/srcpkgs/python3-unpaddedbase64/template
@@ -1,15 +1,15 @@
 # Template file for 'python3-unpaddedbase64'
 pkgname=python3-unpaddedbase64
-version=1.1.0
-revision=4
+version=2.1.0
+revision=1
 wrksrc="python-unpaddedbase64-${version}"
-build_style=python3-module
-pycompile_module="unpaddedbase64.py"
-hostmakedepends="python3-setuptools"
+build_style=python3-pep517
+hostmakedepends="python3-poetry-core"
 depends="python3"
+checkdepends="python3-pytest"
 short_desc="Encode and decode Base64 without '=' padding"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
-homepage="https://pypi.org/project/unpaddedbase64/"
+homepage="https://github.com/matrix-org/python-unpaddedbase64"
 distfiles="https://github.com/matrix-org/python-unpaddedbase64/archive/v${version}.tar.gz"
-checksum=4e3fc1883e75f70380e903e858ffdcb77b85624213ab9559c5f1e5917491bb73
+checksum=8f3aeae62aad49ee385c15c37bb64b625c96bb85a820aeab149c21970843ba68

From dcb3e713435d44a71efa8475155ff1ed7a5f72da Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:25:13 -0500
Subject: [PATCH 3/8] python3-phonenumbers: update to 8.12.37, adopt.

---
 srcpkgs/python3-phonenumbers/template | 9 +++++----
 1 file changed, 5 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-phonenumbers/template b/srcpkgs/python3-phonenumbers/template
index 4242d2623783..70699dac90eb 100644
--- a/srcpkgs/python3-phonenumbers/template
+++ b/srcpkgs/python3-phonenumbers/template
@@ -1,14 +1,15 @@
 # Template file for 'python3-phonenumbers'
 pkgname=python3-phonenumbers
-version=8.12.13
-revision=2
+version=8.12.37
+revision=1
 wrksrc="phonenumbers-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
 depends="python3"
 short_desc="Library for dealing with international phone numbers"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/daviddrysdale/python-phonenumbers"
+changelog="https://raw.githubusercontent.com/daviddrysdale/python-phonenumbers/dev/python/HISTORY.md"
 distfiles="${PYPI_SITE}/p/phonenumbers/phonenumbers-${version}.tar.gz"
-checksum=96d02120a3481e22d8a8eb5e4595ceec1930855749f6e4a06ef931881f59f562
+checksum=dbc560992844a059f56c7c0c6a587904e65d956740bbfb7e39589980bc9055b8

From afb0b4a72b618c98fa52307653369bacf2225187 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 09:40:07 -0500
Subject: [PATCH 4/8] python3-saml2: update to 7.1.0, adopt.

---
 srcpkgs/python3-saml2/template | 18 +++++-------------
 1 file changed, 5 insertions(+), 13 deletions(-)

diff --git a/srcpkgs/python3-saml2/template b/srcpkgs/python3-saml2/template
index 355d99a85c68..c506b92e2486 100644
--- a/srcpkgs/python3-saml2/template
+++ b/srcpkgs/python3-saml2/template
@@ -1,7 +1,7 @@
 # Template file for 'python3-saml2'
 pkgname=python3-saml2
-version=6.5.1
-revision=2
+version=7.1.0
+revision=1
 wrksrc="pysaml2-${version}"
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -10,20 +10,12 @@ depends="python3-cryptography python3-openssl python3-dateutil
  python3-xmlschema"
 checkdepends="python3-pytest python3-mock xmlsec1-devel $depends"
 short_desc="Python3 implementation of SAML Version 2 Standard"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/IdentityPython/pysaml2"
+changelog="https://raw.githubusercontent.com/IdentityPython/pysaml2/master/CHANGELOG.md"
 distfiles="https://github.com/IdentityPython/pysaml2/archive/v${version}.tar.gz"
-checksum=3940f4b7da41f42d4155a21d50d28145b5bfec4724300553f09e4fe647f76cf9
-
-post_patch() {
-	# importlib_resources just delegate to importlib.resources
-	# in Python 3.9
-	vsed -i -e 's/importlib_resources/importlib.resources/' \
-		src/saml2/xml/schema/__init__.py \
-		src/saml2/sigver.py
-	vsed -i -e '/importlib_resources/d' setup.cfg
-}
+checksum=2c5224cd52525d92000c0a5a2f732718fa9935de98c1c42e6dbea322aeffdd6d
 
 do_check() {
 	# Ignore tests that depend on packages not provided by Void

From c44390b2f54e38afa1f9a6633a08609db1386446 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 10:00:02 -0500
Subject: [PATCH 5/8] python3-treq: update to 21.5.0, adopt.

---
 srcpkgs/python3-treq/template | 14 +++++++++-----
 1 file changed, 9 insertions(+), 5 deletions(-)

diff --git a/srcpkgs/python3-treq/template b/srcpkgs/python3-treq/template
index d312d6beb046..281981f220af 100644
--- a/srcpkgs/python3-treq/template
+++ b/srcpkgs/python3-treq/template
@@ -1,18 +1,22 @@
 # Template file for 'python3-treq'
 pkgname=python3-treq
-version=20.3.0
-revision=4
+version=21.5.0
+revision=1
 wrksrc="treq-${version}"
 build_style=python3-module
+make_check_args="--ignore=src/treq/test/local_httpbin \
+ --ignore=src/treq/test/test_treq_integration.py"
 hostmakedepends="python3-setuptools python3-incremental"
-depends="python3-incremental python3-requests python3-six
+depends="python3-incremental python3-requests python3-hyperlink
  python3-Twisted python3-attrs"
+checkdepends="${depends} python3-pytest"
 short_desc="Requests-like API built on top of twisted.web's Agent"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="MIT"
 homepage="https://github.com/twisted/treq"
+changelog="https://raw.githubusercontent.com/twisted/treq/master/CHANGELOG.rst"
 distfiles="${PYPI_SITE}/t/treq/treq-${version}.tar.gz"
-checksum=a72d7587d6f81c7a32620b00175825b4334bafbde73d37098d139ac7b11dca98
+checksum=02ea86383fc4b57539c45a965eaa1e9fd28302cdf382d21da8430050c97be9b8
 
 post_install() {
 	vlicense LICENSE

From 059f7eae84c0caeef335c1c011ad79adf8cc70a8 Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 10 Nov 2021 08:51:35 -0500
Subject: [PATCH 6/8] python3-signedjson: update to 1.1.1, adopt.

---
 .../patches/importlib_metadata.patch          | 39 +++++++++++++++++++
 srcpkgs/python3-signedjson/template           | 19 ++++-----
 2 files changed, 49 insertions(+), 9 deletions(-)
 create mode 100644 srcpkgs/python3-signedjson/patches/importlib_metadata.patch

diff --git a/srcpkgs/python3-signedjson/patches/importlib_metadata.patch b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
new file mode 100644
index 000000000000..d7553958cc15
--- /dev/null
+++ b/srcpkgs/python3-signedjson/patches/importlib_metadata.patch
@@ -0,0 +1,39 @@
+From c40c83f844fee3c1c7b0c5d1508f87052334b4e5 Mon Sep 17 00:00:00 2001
+From: MeggyCal <MeggyCal@users.noreply.github.com>
+Date: Tue, 21 Apr 2020 18:55:37 +0200
+Subject: [PATCH] Do not require importlib_metadata on python 3.8. (#9)
+
+---
+ setup.py               | 2 +-
+ signedjson/__init__.py | 5 ++++-
+ 2 files changed, 5 insertions(+), 2 deletions(-)
+
+diff --git a/setup.py b/setup.py
+index 9c09760..c1cc299 100755
+--- a/setup.py
++++ b/setup.py
+@@ -41,7 +41,7 @@ def read_file(path_segments):
+         "pynacl>=0.3.0",
+         "typing_extensions>=3.5",
+         'typing>=3.5;python_version<"3.5"',
+-        "importlib_metadata",
++        'importlib_metadata;python_version<"3.8"',
+     ],
+     long_description=read_file(("README.rst",)),
+     keywords="json",
+diff --git a/signedjson/__init__.py b/signedjson/__init__.py
+index 6641e64..62faa5e 100644
+--- a/signedjson/__init__.py
++++ b/signedjson/__init__.py
+@@ -12,7 +12,10 @@
+ # See the License for the specific language governing permissions and
+ # limitations under the License.
+ 
+-from importlib_metadata import version, PackageNotFoundError
++try:
++    from importlib.metadata import version, PackageNotFoundError
++except ImportError:  # pragma: nocover
++    from importlib_metadata import version, PackageNotFoundError
+ 
+ try:
+     __version__ = version(__name__)
diff --git a/srcpkgs/python3-signedjson/template b/srcpkgs/python3-signedjson/template
index 60616a1791dc..bf9a8ddc1255 100644
--- a/srcpkgs/python3-signedjson/template
+++ b/srcpkgs/python3-signedjson/template
@@ -1,15 +1,16 @@
 # Template file for 'python3-signedjson'
 pkgname=python3-signedjson
-version=1.1.0
-revision=4
-wrksrc="python-signedjson-${version}"
+version=1.1.1
+revision=1
+wrksrc="signedjson-${version}"
 build_style=python3-module
-hostmakedepends="python3-setuptools"
-depends="python3-canonicaljson>=1.0.0 python3-unpaddedbase64>=1.0.1
- python3-pynacl"
+hostmakedepends="python3-setuptools_scm"
+depends="python3-canonicaljson python3-unpaddedbase64 python3-pynacl
+ python3-typing_extensions"
+checkdepends="${depends} python3-pytest"
 short_desc="Sign JSON with Ed25519 signatures"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/python-signedjson"
-distfiles="https://github.com/matrix-org/python-signedjson/archive/v${version}.tar.gz"
-checksum=1daf71f476245f7e5c2b06a1e0b617e800d7a39bbc943263e99f00536dbe9347
+distfiles="${PYPI_SITE}/s/signedjson/signedjson-${version}.tar.gz"
+checksum=350586e7570ba208f7729dcda09d43f554ead0207a15e3e3695533ef3f720009

From 3616fbf0b21c46cce0fc651b730b46d85b823f7b Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Sun, 21 Nov 2021 20:33:28 -0500
Subject: [PATCH 7/8] python3-frozendict: update to 2.1.0, adopt.

---
 srcpkgs/python3-frozendict/template | 17 +++++++++++++----
 1 file changed, 13 insertions(+), 4 deletions(-)

diff --git a/srcpkgs/python3-frozendict/template b/srcpkgs/python3-frozendict/template
index 6a478b3e1b5d..cb161120a342 100644
--- a/srcpkgs/python3-frozendict/template
+++ b/srcpkgs/python3-frozendict/template
@@ -1,6 +1,6 @@
 # Template file for 'python3-frozendict'
 pkgname=python3-frozendict
-version=2.0.7
+version=2.1.0
 revision=1
 wrksrc="frozendict-${version}"
 build_style=python3-module
@@ -8,12 +8,21 @@ hostmakedepends="python3-setuptools"
 depends="python3"
 checkdepends="python3-pytest"
 short_desc="Immutable mapping for Python3"
-maintainer="Orphaned <orphan@voidlinux.org>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="LGPL-3.0-only"
 homepage="https://github.com/Marco-Sulla/python-frozendict"
 distfiles="${PYPI_SITE}/f/frozendict/frozendict-${version}.tar.gz"
-checksum=a68f609d1af67da80b45519fdcfca2d60249c0a8c96e68279c1b6ddd92128204
+checksum=0189168749ddea8601afd648146c502533f93ae33840eb76cd71f694742623cd
 
 do_check() {
-	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 -k 'not test_empty_sub'
+	# skip tests that are failing when using C
+	# extension due to difference between pure py and
+	# C extension
+	PYTHONPATH="$(cd build/lib* && pwd)" pytest3 \
+	 --deselect=test/test_coold.py::test_repr \
+	 --deselect=test/test_coold.py::test_str \
+	 --deselect=test/test_coold.py::test_format \
+	 --deselect=test/test_frozendict_c.py::test_repr \
+	 --deselect=test/test_frozendict_c.py::test_str \
+	 --deselect=test/test_frozendict_c.py::test_format
 }

From edf25c7418eca2678ba422746daa2a2c79b10ffc Mon Sep 17 00:00:00 2001
From: Joel Beckmeyer <joel@beckmeyer.us>
Date: Wed, 3 Nov 2021 10:16:56 -0400
Subject: [PATCH 8/8] synapse: update to 1.47.1, adopt.

---
 srcpkgs/synapse/template | 11 ++++++++---
 1 file changed, 8 insertions(+), 3 deletions(-)

diff --git a/srcpkgs/synapse/template b/srcpkgs/synapse/template
index 57f8a3b06822..20c4a4cc9970 100644
--- a/srcpkgs/synapse/template
+++ b/srcpkgs/synapse/template
@@ -1,6 +1,6 @@
 # Template file for 'synapse'
 pkgname=synapse
-version=1.46.0
+version=1.47.1
 revision=1
 build_style=python3-module
 hostmakedepends="python3-setuptools"
@@ -12,13 +12,14 @@ depends="python3-jsonschema python3-frozendict python3-canonicaljson
  python3-setuptools python3-bleach python3-Jinja2 python3-psycopg2 python3-lxml
  python3-saml2 python3-treq python3-macaroons python3-sortedcontainers
  python3-typing_extensions python3-ijson"
+checkdepends="$depends python3-parameterized"
 short_desc="Matrix reference homeserver"
-maintainer="Pete <pete@port22.co.uk>"
+maintainer="Joel Beckmeyer <joel@beckmeyer.us>"
 license="Apache-2.0"
 homepage="https://github.com/matrix-org/synapse"
 changelog="https://raw.githubusercontent.com/matrix-org/synapse/develop/CHANGES.md"
 distfiles="https://github.com/matrix-org/synapse/archive/v${version}.tar.gz"
-checksum=5f730958e57b8196ee9352b8abc32da612296f8febf675dec76e0b9d3a322ec5
+checksum=cc385b6cfeba671bba800c2557ad39063bdd53f70dfb3781c85df7af6f5d064c
 
 system_accounts="synapse"
 synapse_homedir="/var/lib/synapse"
@@ -27,6 +28,10 @@ make_dirs="
 	/var/lib/synapse 0700 synapse synapse
 	/etc/synapse 0755 synapse synapse"
 
+do_check() {
+	PYTHONPATH="." trial3 tests
+}
+
 post_install() {
 	vsv synapse
 }

^ permalink raw reply	[flat|nested] 24+ messages in thread

* Re: [PR REVIEW] synapse: update to 1.47.1, adopt.
  2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
                   ` (21 preceding siblings ...)
  2021-11-26  0:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
@ 2021-11-26  0:52 ` TinfoilSubmarine
  22 siblings, 0 replies; 24+ messages in thread
From: TinfoilSubmarine @ 2021-11-26  0:52 UTC (permalink / raw)
  To: ml

[-- Attachment #1: Type: text/plain, Size: 173 bytes --]

New review comment by TinfoilSubmarine on void-packages repository

https://github.com/void-linux/void-packages/pull/34122#discussion_r757171768

Comment:
Sure thing, done.

^ permalink raw reply	[flat|nested] 24+ messages in thread

end of thread, other threads:[~2021-11-26  0:52 UTC | newest]

Thread overview: 24+ messages (download: mbox.gz / follow: Atom feed)
-- links below jump to the message on this page --
2021-11-17 21:21 [PR PATCH] synapse: update to 1.47.0, adopt TinfoilSubmarine
2021-11-17 21:34 ` [PR REVIEW] " paper42
2021-11-17 21:34 ` paper42
2021-11-17 22:56 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-17 22:56 ` [PR REVIEW] " TinfoilSubmarine
2021-11-17 22:57 ` TinfoilSubmarine
2021-11-19 14:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-19 14:43 ` TinfoilSubmarine
2021-11-21 18:12 ` [PR REVIEW] " ericonr
2021-11-21 18:12 ` ericonr
2021-11-21 20:12 ` TinfoilSubmarine
2021-11-21 21:40 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-21 22:11 ` paper42
2021-11-21 22:11 ` paper42
2021-11-21 23:27 ` [PR REVIEW] " ericonr
2021-11-22  0:59 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-22  1:00 ` TinfoilSubmarine
2021-11-22  1:01 ` [PR REVIEW] " TinfoilSubmarine
2021-11-22  2:05 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-22  2:13 ` TinfoilSubmarine
2021-11-23 15:58 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-26  0:17 ` [PR REVIEW] synapse: update to 1.47.1, adopt paper42
2021-11-26  0:38 ` [PR PATCH] [Updated] " TinfoilSubmarine
2021-11-26  0:52 ` [PR REVIEW] " TinfoilSubmarine

This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox;
as well as URLs for NNTP newsgroup(s).